Deskhero Developer Hub
Back to deskhero.com
Faqs

Update

Updates the question/answer content of a FAQ and approves it with edits. Sets status to APPROVED_WITH_EDITS.

PUT /api/{tenant:minlength(2)}/v{version:apiVersion}/faqs/{id}
Authorisation
Minimum role: USER

Request arguments

Name Type Source
idInt32
inputDTO_faq_updateBody
Request body example

Response

Status
200 (OK)
Type
DTO_faq
Wrapper
DTO_response_wrap
Other statuses
400 (BadRequest), 403 (Forbidden)
Response body example
DTO_faq_update
NameTypeReadOnlyDescription
questionStringQuestion
answerStringAnswer
DTO_faq
NameTypeReadOnlyDescription
clusterDTO_referenceCluster
cluster_labelDTO_referenceCluster label
conflicting_faq_idsInt32[]Conflicting faq ids
conflicting_faqsDTO_faq[]Conflicting faqs
idInt32Id
statusENUM faq_statusStatus
questionStringQuestion
answerStringAnswer
embeddings_status_enum_idInt32Embeddings status enum id
DTO_reference
NameTypeReadOnlyDescription
idInt32The id of the reference
labelObjectReadOnlyName/Label from referenced object.
DTO_faq
NameTypeReadOnlyDescription
clusterDTO_referenceCluster
cluster_labelDTO_referenceCluster label
conflicting_faq_idsInt32[]Conflicting faq ids
conflicting_faqsDTO_faq[]Conflicting faqs
idInt32Id
statusENUM faq_statusStatus
questionStringQuestion
answerStringAnswer
embeddings_status_enum_idInt32Embeddings status enum id
ENUM faq_status
ValueNameDescription
0UNKNOWNUNKNOWN
1SUGGESTEDSUGGESTED
11MANUALLY_CREATEDMANUALLY_CREATED
21APPROVED_AS_ISAPPROVED_AS_IS
22APPROVED_WITH_EDITSAPPROVED_WITH_EDITS
31DECLINEDDECLINED
32DUPLICATED_IGNOREDUPLICATED_IGNORE
41REMOVEDREMOVED

Generated Aug 4, 2026 18:37